package com.dsic.gj_erp.controller.jhgk;


import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jhgk.DmSygd;
import com.dsic.gj_erp.bean.jhgk.DmSygdMx;
import com.dsic.gj_erp.service.jhgk.DmSygdMxService;
import com.dsic.gj_erp.service.sy.SYService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-10-09
 */
@RestController
@RequestMapping("/dmSygdMx")
public class DmSygdMxController {

    @Autowired
    private DmSygdMxService service;

    @Resource
    SYService syService;
    @RequestMapping("/getList")
    @AuthFunction
    public ResultBean getList(@RequestBody DmSygd sygd){
        String[] str=new String[50];
        String[] str1=new String[50];
        for (int i = 0; i < 50; i++) {
            str[i]=syService.f_getpjh("DM", "SYSTEM", "BCHX");
            str1[i]=syService.f_getpjh("DM", "SYSTEM", "CLDE");
        }
        for (String s:str){
            System.out.println(s);
        }

        return new ResultBean();
    }
    @RequestMapping("/sygdPC")
    @AuthFunction
    public ResultBean sygdPC(){
        return new ResultBean(service.sygdPC());
    }

    @RequestMapping("/saveByDcch")
    @AuthFunction
    public ResultBean saveByDcch(@RequestBody HashMap<String, List<Object>> map ){
        return new ResultBean(service.saveByDcch(map));
    }
}

